## AtspiAccessible AtspiAccessible |

## Functions

gchar * | atspi_role_get_name ()
gchar * | atspi_accessible_get_name ()
gchar * | atspi_accessible_get_description ()
AtspiAccessible * | atspi_accessible_get_parent ()
gint | atspi_accessible_get_child_count ()
AtspiAccessible * | atspi_accessible_get_child_at_index ()
gint | atspi_accessible_get_index_in_parent ()
GArray * | atspi_accessible_get_relation_set ()
AtspiRole | atspi_accessible_get_role ()
gchar * | atspi_accessible_get_role_name ()
gchar * | atspi_accessible_get_localized_role_name ()
AtspiStateSet * | atspi_accessible_get_state_set ()
GHashTable * | atspi_accessible_get_attributes ()
GArray * | atspi_accessible_get_attributes_as_array ()
gchar * | atspi_accessible_get_toolkit_name ()
gchar * | atspi_accessible_get_toolkit_version ()
gchar * | atspi_accessible_get_atspi_version ()
gint | atspi_accessible_get_id ()
AtspiAccessible * | atspi_accessible_get_application ()
AtspiAction * | atspi_accessible_get_action ()
AtspiCollection * | atspi_accessible_get_collection ()
AtspiComponent * | atspi_accessible_get_component ()
AtspiDocument * | atspi_accessible_get_document ()
AtspiEditableText * | atspi_accessible_get_editable_text ()
AtspiHyperlink * | atspi_accessible_get_hyperlink ()
AtspiHypertext * | atspi_accessible_get_hypertext ()
AtspiImage * | atspi_accessible_get_image ()
AtspiSelection * | atspi_accessible_get_selection ()
AtspiTable * | atspi_accessible_get_table ()
AtspiTableCell * | atspi_accessible_get_table_cell ()
AtspiText * | atspi_accessible_get_text ()
AtspiValue * | atspi_accessible_get_value ()
const gchar * | atspi_accessible_get_object_locale ()
void | atspi_accessible_set_cache_mask ()
void | atspi_accessible_clear_cache ()
guint | atspi_accessible_get_process_id ()
AtspiAction * | atspi_accessible_get_action_iface ()
AtspiCollection * | atspi_accessible_get_collection_iface ()
AtspiComponent * | atspi_accessible_get_component_iface ()
AtspiDocument * | atspi_accessible_get_document_iface ()
AtspiEditableText * | atspi_accessible_get_editable_text_iface ()
AtspiHypertext * | atspi_accessible_get_hypertext_iface ()
AtspiImage * | atspi_accessible_get_image_iface ()
AtspiSelection * | atspi_accessible_get_selection_iface ()
AtspiTable * | atspi_accessible_get_table_iface ()
AtspiText * | atspi_accessible_get_text_iface ()
AtspiValue * | atspi_accessible_get_value_iface ()
GArray * | atspi_accessible_get_interfaces ()
gchar * | atspi_accessible_get_accessible_id ()

## Signals

void | mode-changed | Has Details
void | region-changed | Run Last

## Types and Values

| AtspiAccessible
struct | AtspiAccessibleClass

## Object Hierarchy

        GObject
        ╰── AtspiObject
            ╰── AtspiAccessible

## Implemented Interfaces

AtspiAccessible implements AtspiAction, AtspiCollection, AtspiComponent, AtspiDocument, AtspiEditableText, AtspiHypertext, AtspiImage, AtspiSelection, AtspiTable, AtspiText and AtspiValue.

## Description

## Functions

### atspi_role_get_name ()

    gchar *
    atspi_role_get_name (AtspiRole role);

Gets a localizable string that indicates the name of an AtspiRole.

<em>DEPRECATED.</em>

#### Parameters

role | an AtspiRole object to query. |

#### Returns

a localizable string name for an AtspiRole enumerated type.

### atspi_accessible_get_name ()

    gchar *
    atspi_accessible_get_name (AtspiAccessible *obj,
                               GError **error);

Gets the name of an AtspiAccessible object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the name of the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_description ()

    gchar *
    atspi_accessible_get_description (AtspiAccessible *obj,
                                      GError **error);

Gets the description of an AtspiAccessible object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string describing the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_parent ()

    AtspiAccessible *
    atspi_accessible_get_parent (AtspiAccessible *obj,
                                 GError **error);

Gets an AtspiAccessible object's parent container.

#### Parameters

obj | a pointer to the AtspiAccessible object to query. |

#### Returns

a pointer to the AtspiAccessible object which contains the given AtspiAccessible instance, or NULL if the `obj` has no parent container.

[nullable][transfer full]

### atspi_accessible_get_child_count ()

    gint
    atspi_accessible_get_child_count (AtspiAccessible *obj,
                                      GError **error);

Gets the number of children contained by an AtspiAccessible object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a long indicating the number of AtspiAccessible children contained by an AtspiAccessible object or -1 on exception.

### atspi_accessible_get_child_at_index ()

    AtspiAccessible *
    atspi_accessible_get_child_at_index (AtspiAccessible *obj,
                                         gint child_index,
                                         GError **error);

Gets the AtspiAccessible child of an AtspiAccessible object at a given index.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |
child_index | a long indicating which child is specified. |

#### Returns

a pointer to the AtspiAccessible child object at index `child_index` or NULL on exception.

[transfer full]

### atspi_accessible_get_index_in_parent ()

    gint
    atspi_accessible_get_index_in_parent (AtspiAccessible *obj,
                                          GError **error);

Gets the index of an AtspiAccessible object within its parent's AtspiAccessible children list.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a glong indicating the index of the AtspiAccessible object in its parent, or -1 if `obj` has no containing parent or on exception.

### atspi_accessible_get_relation_set ()

    GArray *
    atspi_accessible_get_relation_set (AtspiAccessible *obj,
                                       GError **error);

Gets the set of AtspiRelation objects which describes this AtspiAccessible object's relationships with other AtspiAccessible objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a GArray of AtspiRelation pointers or NULL on exception.

[element-type AtspiRelation*][transfer full]

### atspi_accessible_get_role ()

    AtspiRole
    atspi_accessible_get_role (AtspiAccessible *obj,
                               GError **error);

Gets the UI role played by an AtspiAccessible object. This role's name can be obtained via `atspi_accessible_get_role_name()`.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

the AtspiRole of an AtspiAccessible object.

### atspi_accessible_get_role_name ()

    gchar *
    atspi_accessible_get_role_name (AtspiAccessible *obj,
                                    GError **error);

Gets a UTF-8 string corresponding to the name of the role played by an object. This method will return useful values for roles that fall outside the enumeration used in `atspi_accessible_get_role()`.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string specifying the type of UI role played by an AtspiAccessible object.

### atspi_accessible_get_localized_role_name ()

    gchar *
    atspi_accessible_get_localized_role_name
                                   (AtspiAccessible *obj,
                                    GError **error);

Gets a UTF-8 string corresponding to the name of the role played by an object, translated to the current locale. This method will return useful values for roles that fall outside the enumeration used in `atspi_accessible_getRole()`.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a localized, UTF-8 string specifying the type of UI role played by an AtspiAccessible object.

### atspi_accessible_get_state_set ()

    AtspiStateSet *
    atspi_accessible_get_state_set (AtspiAccessible *obj);

Gets the states currently held by an object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a pointer to an AtspiStateSet representing an object's current state set.

[transfer full]

### atspi_accessible_get_attributes ()

    GHashTable *
    atspi_accessible_get_attributes (AtspiAccessible *obj,
                                     GError **error);

Gets the AttributeSet representing any assigned name-value pair attributes or annotations for this object. For typographic, textual, or textually-semantic attributes, see atspi_text_get_attributes instead.

#### Parameters

obj | The AtspiAccessible being queried. |

#### Returns

The name-value-pair attributes assigned to this object.

[element-type gchar* gchar*][transfer full]

### atspi_accessible_get_attributes_as_array ()

    GArray *
    atspi_accessible_get_attributes_as_array
                                   (AtspiAccessible *obj,
                                    GError **error);

Gets a GArray representing any assigned name-value pair attributes or annotations for this object. For typographic, textual, or textually-semantic attributes, see atspi_text_get_attributes_as_array instead.

#### Parameters

obj | The AtspiAccessible being queried. |

#### Returns

The name-value-pair attributes assigned to this object.

[element-type gchar*][transfer full]

### atspi_accessible_get_toolkit_name ()

    gchar *
    atspi_accessible_get_toolkit_name (AtspiAccessible *obj,
                                       GError **error);

Gets the toolkit name for an AtspiAccessible object. Only works on application root objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the toolkit name for the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_toolkit_version ()

    gchar *
    atspi_accessible_get_toolkit_version (AtspiAccessible *obj,
                                          GError **error);

Gets the toolkit version for an AtspiAccessible object. Only works on application root objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the toolkit version for the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_atspi_version ()

    gchar *
    atspi_accessible_get_atspi_version (AtspiAccessible *obj,
                                        GError **error);

Gets the AT-SPI IPC specification version supported by the application pointed to by the AtspiAccessible object. Only works on application root objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the AT-SPI version for the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_id ()

    gint
    atspi_accessible_get_id (AtspiAccessible *obj,
                             GError **error);

Gets the application id for a AtspiAccessible object. Only works on application root objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a positive gint indicating the id for the AtspiAccessible object or -1 on exception.

### atspi_accessible_get_application ()

    AtspiAccessible *
    atspi_accessible_get_application (AtspiAccessible *obj,
                                      GError **error);

Gets the containing AtspiApplication for an object.

#### Parameters

obj | The AtspiAccessible being queried. |

#### Returns

the containing AtspiApplication instance for this object.

[transfer full]

### atspi_accessible_get_action ()

    AtspiAction *
    atspi_accessible_get_action (AtspiAccessible *obj);

`atspi_accessible_get_action` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_action_iface instead.

Gets the AtspiAction interface for an AtspiAccessible.

[rename-to atspi_accessible_get_action_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiAction interface instance, or NULL if `obj` does not implement AtspiAction.

[transfer full]

### atspi_accessible_get_collection ()

    AtspiCollection *
    atspi_accessible_get_collection (AtspiAccessible *obj);

`atspi_accessible_get_collection` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_collection_iface instead.

Gets the AtspiCollection interface for an AtspiAccessible.

[rename-to atspi_accessible_get_collection_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiCollection interface instance, or NULL if `obj` does not implement AtspiCollection.

[transfer full]

### atspi_accessible_get_component ()

    AtspiComponent *
    atspi_accessible_get_component (AtspiAccessible *obj);

`atspi_accessible_get_component` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_component_iface instead.

Gets the AtspiComponent interface for an AtspiAccessible.

[rename-to atspi_accessible_get_component_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiComponent interface instance, or NULL if `obj` does not implement AtspiComponent.

[transfer full]

### atspi_accessible_get_document ()

    AtspiDocument *
    atspi_accessible_get_document (AtspiAccessible *obj);

`atspi_accessible_get_document` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_document_iface instead.

Gets the AtspiDocument interface for an AtspiAccessible.

[rename-to atspi_accessible_get_document_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiDocument interface instance, or NULL if `obj` does not implement AtspiDocument.

[transfer full]

### atspi_accessible_get_editable_text ()

    AtspiEditableText *
    atspi_accessible_get_editable_text (AtspiAccessible *obj);

`atspi_accessible_get_editable_text` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_editable_text_iface instead.

Gets the AtspiEditableText interface for an AtspiAccessible.

[rename-to atspi_accessible_get_editable_text_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiEditableText interface instance, or NULL if `obj` does not implement AtspiEditableText.

[transfer full]

### atspi_accessible_get_hyperlink ()

    AtspiHyperlink *
    atspi_accessible_get_hyperlink (AtspiAccessible *obj);

Gets the AtspiHyperlink interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

the AtspiHyperlink object associated with the given AtspiAccessible, or NULL if not supported.

[transfer full]

### atspi_accessible_get_hypertext ()

    AtspiHypertext *
    atspi_accessible_get_hypertext (AtspiAccessible *obj);

`atspi_accessible_get_hypertext` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_hypertext_iface instead.

Gets the AtspiHypertext interface for an AtspiAccessible.

[rename-to atspi_accessible_get_hypertext_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiHypertext interface instance, or NULL if `obj` does not implement AtspiHypertext.

[transfer full]

### atspi_accessible_get_image ()

    AtspiImage *
    atspi_accessible_get_image (AtspiAccessible *obj);

`atspi_accessible_get_image` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_image_iface instead.

Gets the AtspiImage interface for an AtspiAccessible.

[rename-to atspi_accessible_get_image_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiImage interface instance, or NULL if `obj` does not implement AtspiImage.

[transfer full]

### atspi_accessible_get_selection ()

    AtspiSelection *
    atspi_accessible_get_selection (AtspiAccessible *obj);

`atspi_accessible_get_selection` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_selection_iface instead.

Gets the AtspiSelection interface for an AtspiAccessible.

[rename-to atspi_accessible_get_selection_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiSelection interface instance, or NULL if `obj` does not implement AtspiSelection.

[transfer full]

### atspi_accessible_get_table ()

    AtspiTable *
    atspi_accessible_get_table (AtspiAccessible *obj);

`atspi_accessible_get_table` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_table_iface instead.

Gets the AtspiTable interface for an AtspiAccessible.

[rename-to atspi_accessible_get_table_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiTable interface instance, or NULL if `obj` does not implement AtspiTable.

[transfer full]

### atspi_accessible_get_table_cell ()

    AtspiTableCell *
    atspi_accessible_get_table_cell (AtspiAccessible *obj);

Gets the AtspiTableCell interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiTableCell interface instance, or NULL if `obj` does not implement AtspiTable.

[transfer full]

### atspi_accessible_get_text ()

    AtspiText *
    atspi_accessible_get_text (AtspiAccessible *obj);

`atspi_accessible_get_text` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_text_iface instead.

Gets the AtspiTable interface for an AtspiAccessible.

[rename-to atspi_accessible_get_text_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiText interface instance, or NULL if `obj` does not implement AtspiText.

[transfer full]

### atspi_accessible_get_value ()

    AtspiValue *
    atspi_accessible_get_value (AtspiAccessible *obj);

`atspi_accessible_get_value` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_value_iface instead.

Gets the AtspiTable interface for an AtspiAccessible.

[rename-to atspi_accessible_get_value_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiValue interface instance, or NULL if `obj` does not implement AtspiValue.

[transfer full]

### atspi_accessible_get_object_locale ()

    const gchar *
    atspi_accessible_get_object_locale (AtspiAccessible *accessible,
                                        GError **error);

### atspi_accessible_set_cache_mask ()

    void
    atspi_accessible_set_cache_mask (AtspiAccessible *accessible,
                                     AtspiCache mask);

Sets the type of data to cache for accessibles. If this is not set for an application or is reset to ATSPI_CACHE_UNDEFINED, then the desktop's cache flag will be used. If the desktop's cache flag is also undefined, then all possible data will be cached. This function is intended to work around bugs in toolkits where the proper events are not raised / to aid in testing for such bugs.

#### Parameters

accessible | The AtspiAccessible to operate on. Must be the desktop or the root of an application. |
mask | An AtspiCache specifying a bit mask of the types of data to cache. |

### atspi_accessible_clear_cache ()

    void
    atspi_accessible_clear_cache (AtspiAccessible *obj);

Clears the cached information for the given accessible and all of its descendants.

#### Parameters

obj | The AtspiAccessible whose cache to clear. |

### atspi_accessible_get_process_id ()

    guint
    atspi_accessible_get_process_id (AtspiAccessible *accessible,
                                     GError **error);

Returns the process id associated with the given accessible. Mainly added for debugging; it is a shortcut to explicitly querying the accessible's app->bus_name and then calling GetConnectionUnixProcessID.

#### Parameters

accessible | The AtspiAccessible to query. |
error | a pointer to a `NULL` GError pointer |

#### Returns

The process ID or undetermined value if `error` is set.

### atspi_accessible_get_action_iface ()

    AtspiAction *
    atspi_accessible_get_action_iface (AtspiAccessible *obj);

Gets the AtspiAction interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiAction interface instance, or NULL if `obj` does not implement AtspiAction.

[transfer full]

### atspi_accessible_get_collection_iface ()

    AtspiCollection *
    atspi_accessible_get_collection_iface (AtspiAccessible *obj);

Gets the AtspiCollection interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiCollection interface instance, or NULL if `obj` does not implement AtspiCollection.

[transfer full]

### atspi_accessible_get_component_iface ()

    AtspiComponent *
    atspi_accessible_get_component_iface (AtspiAccessible *obj);

Gets the AtspiComponent interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiComponent interface instance, or NULL if `obj` does not implement AtspiComponent.

[transfer full]

### atspi_accessible_get_document_iface ()

    AtspiDocument *
    atspi_accessible_get_document_iface (AtspiAccessible *obj);

Gets the AtspiDocument interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiDocument interface instance, or NULL if `obj` does not implement AtspiDocument.

[transfer full]

### atspi_accessible_get_editable_text_iface ()

    AtspiEditableText *
    atspi_accessible_get_editable_text_iface
                                   (AtspiAccessible *obj);

Gets the AtspiEditableText interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiEditableText interface instance, or NULL if `obj` does not implement AtspiEditableText.

[transfer full]

### atspi_accessible_get_hypertext_iface ()

    AtspiHypertext *
    atspi_accessible_get_hypertext_iface (AtspiAccessible *obj);

Gets the AtspiHypertext interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiHypertext interface instance, or NULL if `obj` does not implement AtspiHypertext.

[transfer full]

### atspi_accessible_get_image_iface ()

    AtspiImage *
    atspi_accessible_get_image_iface (AtspiAccessible *obj);

Gets the AtspiImage interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiImage interface instance, or NULL if `obj` does not implement AtspiImage.

[transfer full]

### atspi_accessible_get_selection_iface ()

    AtspiSelection *
    atspi_accessible_get_selection_iface (AtspiAccessible *obj);

Gets the AtspiSelection interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiSelection interface instance, or NULL if `obj` does not implement AtspiSelection.

[transfer full]

### atspi_accessible_get_table_iface ()

    AtspiTable *
    atspi_accessible_get_table_iface (AtspiAccessible *obj);

Gets the AtspiTable interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiTable interface instance, or NULL if `obj` does not implement AtspiTable.

[transfer full]

### atspi_accessible_get_text_iface ()

    AtspiText *
    atspi_accessible_get_text_iface (AtspiAccessible *obj);

Gets the AtspiTable interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiText interface instance, or NULL if `obj` does not implement AtspiText.

[transfer full]

### atspi_accessible_get_value_iface ()

    AtspiValue *
    atspi_accessible_get_value_iface (AtspiAccessible *obj);

Gets the AtspiTable interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiValue interface instance, or NULL if `obj` does not implement AtspiValue.

[transfer full]

### atspi_accessible_get_interfaces ()

    GArray *
    atspi_accessible_get_interfaces (AtspiAccessible *obj);

A set of pointers to all interfaces supported by an AtspiAccessible.

#### Parameters

obj | The AtspiAccessible to query. |

#### Returns

A GArray of strings describing the interfaces supported by the object. Interfaces are denoted in short-hand (i.e. "Component", "Text" etc.).

[element-type gchar*][transfer full]

### atspi_accessible_get_accessible_id ()

    gchar *
    atspi_accessible_get_accessible_id (AtspiAccessible *obj,
                                        GError **error);

Gets the accessible id of the accessible. This is not meant to be presented to the user, but to be an id which is stable over application development. Typically, this is the gtkbuilder id.

#### Parameters

obj | an AtspiAccessible |

#### Returns

a character string representing the accessible id of the AtspiAccessible object or NULL on exception.

Since: 2.34

## Types and Values

### AtspiAccessible

    typedef struct _AtspiAccessible AtspiAccessible;

### struct AtspiAccessibleClass

    struct AtspiAccessibleClass {
      AtspiObjectClass parent_class;

      void (*region_changed) (AtspiAccessible *accessible, gint current_offset, gint last_offset);
      void (*mode_changed) (AtspiAccessible *accessible, gboolean enabled);
    };

## Signal Details

### The `“mode-changed”` signal

    void
    user_function (AtspiAccessible *atspiaccessible,
                   int              arg1,
                   char            *why,
                   gpointer         user_data)

The signal "mode-changed" is emitted by a screen reader to indicate that its mode has changed. This signal supports the following details: focus-tracking flat-review mouse-review say-all caret-tracking

#### Parameters

atspiaccessible | the object which received the signal |
arg1 | a boolean specifying whether the mode is being toggled on or off. |
why | an optional string explaining why the mode changed. |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“region-changed”` signal

    void
    user_function (AtspiAccessible *atspiaccessible,
                   int              arg1,
                   int              arg2,
                   gpointer         user_data)

The signal "region-changed" is emitted by a screen reader to indicate that it is now reading or tracking a new object, or, a new piece of text within an object. This allows a magnifier to gain the information needed to highlight the object that the screen reader is reading.

#### Parameters

atspiaccessible | the object which received the signal |
arg1 | an integer specifying the current offset of the text being read, if the object is textual. |
arg2 | an integer specifying the ending offset of the text being read, if the object is textual. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last